%define         realname tclxml
%define         tclxmldirname  Tclxml%{version}

Summary:        XML parsing library for the Tcl scripting language
Name:           tcl-%{realname}
Version:        3.2
Release:        %mkrel 11
License:        BSD
Group:          System/Libraries
URL:            http://tclxml.sourceforge.net/

Source0:        http://downloads.sourceforge.net/tclxml/tclxml-%{version}.tar.gz

#no longer used
Source1:        pkgIndex.tcl.in.gui

Patch0:         tclxml-3.2-sgmlparser.patch
Patch1:         tclxml-3.2-mga-security.patch

BuildRequires:  pkgconfig(tcl) 
BuildRequires:  pkgconfig(libxml-2.0) 
BuildRequires:  pkgconfig(libxslt)
Obsoletes:      tclxml < 3.2
Obsoletes:      tclxml-libxml2 < 3.2
Obsoletes:      tclxml-expat < 3.2
Obsoletes:      tcl-tclxml-gui < 3.2-6
Obsoletes:      tcldom < 3.2
Obsoletes:      tcldom-expat < 3.2
Obsoletes:      tcldom-libxml2 < 3.2
Obsoletes:      tcldom-gui < 3.2
Provides:       tclxml = %{version}-%{release}
Provides:       tcldom = %{version}-%{release}
Provides:       tclxslt = %{version}-%{release}
Provides:       tcl-tclxml-gui = %{version}-%{release}
Requires:       tcl
Requires:       tcl-tcllib

%description
TclXML is a package that provides XML, DOM, and XSLT parsing for the
Tcl scripting language.

%package devel
Summary:   Development files for the tclxml packages
Group:     System/Libraries
Requires:  %{name} = %{version}-%{release}
Obsoletes: tcldom-devel < 3.2
Provides:  tcldom-devel = %{version}-%{release}
Obsoletes: tclxml-devel < 3.2
Provides:  tclxml-devel = %{version}-%{release}
%description devel
Development header files for the tclxml packages.  This includes all of the
header files for the tclxml, tcldom, and tclxslt packages


%prep
%setup -q -n %{realname}-%{version}
%autopatch -p1

# Fix a few spurious execute permissions
chmod -x ChangeLog doc/xsltsl/cmp.xsl *.c

# Clean up some DOS line endings
sed -i -e 's/\r//' doc/README.xml.in

%build
%configure --libdir=%{tcl_sitearch}
%make

%install
%make_install

chmod a-x %{buildroot}%{tcl_sitearch}/%{tclxmldirname}/*.a

%{__mkdir_p} %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{tcl_sitearch}/%{tclxmldirname} > %{buildroot}%{_sysconfdir}/ld.so.conf.d/tclxml.conf


%check
# The test suite fails to run properly from the build directory.
#make test


%files
%doc LICENSE ANNOUNCE ChangeLog README.html
%doc doc/*.html
%dir %{tcl_sitearch}/%{tclxmldirname}
%{tcl_sitearch}/%{tclxmldirname}/*.so
%{tcl_sitearch}/%{tclxmldirname}/*.tcl
%{_sysconfdir}/ld.so.conf.d/tclxml.conf

%files devel
%{_includedir}/tclxml
%{tcl_sitearch}/TclxmlConfig.sh
%{tcl_sitearch}/%{tclxmldirname}/*.a


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.2-11.mga8
+ Revision: 1517396
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.2-10.mga7
+ Revision: 1301338
- Mageia 7 Mass Rebuild

* Fri Apr 22 2016 eatdirt <eatdirt> 3.2-9.mga6
+ Revision: 1004644
- Fix missing and misplaced obsoletes to tcldom

* Thu Mar 31 2016 eatdirt <eatdirt> 3.2-8.mga6
+ Revision: 997139
- Fix install location to be in tcl

* Wed Mar 30 2016 eatdirt <eatdirt> 3.2-7.mga6
+ Revision: 996881
- Add ld configuration file for library path

* Wed Mar 30 2016 eatdirt <eatdirt> 3.2-6.mga6
+ Revision: 996818
- Fix non-standard install locations breaking TEA scripts

* Wed Feb 03 2016 umeabot <umeabot> 3.2-5.mga6
+ Revision: 934078
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2-4.mga5
+ Revision: 750791
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2-3.mga5
+ Revision: 689739
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.2-2.mga4
+ Revision: 538749
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 3.2-1.mga4
+ Revision: 490319
- imported package tcl-tclxml

